{"tank"
	(include "tank/general_scripts_defines.inc")
	(include "tank/tank_nam.inc")

	{on repair
		{if component "turret"
			{view stop "smoke3"}
			{call "update_turret"}
			{tags remove "turret_brake"}
		else component "body"
			{view stop "smoke4"}
			{call "update_turret"}
			{tags remove "turret_stopped_by_body"}
			{tags remove "body_brake"}
			{able "select" 1}
		else component "engine"
			{tags remove "engine_brake"}
		}
	}

	{on "update_turret"
		{if work "turret"
			{if work "body"
				{ik_enable "turret" 1}
			else
				{ik_enable "turret" 0}
			}
		else
			{ik_enable "turret" 0}
		}
	}
}

{"opened tank"
	{on "explosive_broken" overload
		{call "explosion"}
	}
}

{"turret"
	{on spawn
		{call "update_turret"}
	}
	{on break
		{if component "turret"
			{if not user_control
				{if rand 0.5 {kill_crew "gunner"}}
				{if rand 0.5 {kill_crew "charger"}}
				{if rand 0.5 {kill_crew "commander"}}
			}
			{call "update_turret"}
			{spawn "tank_die_particle" "Turret"}
			{spawn "circledust_norm" "Turret"}
			;{ani_play "open" -1.0 resume}
			{view start "smoke3"}
			{delay 10
				{view stop "smoke3"}
				{set "smoke3" 0}
			}
		else component "body"
			{spawn "circledust_norm" "Turret"}
			{call "update_turret"}
		}
	}
	{on "tear_turret"
		{if not "turret_teared"
			{set "turret_teared" 1}
			{components "turret" destroy}
			{call "mp_destroy"}
			{add_view "smoke_black_big5" "smoke_turret" "basis"}
			{view start "smoke_turret"}
			{delay 60 15
				{view stop "smoke_turret"}
			}
			{delay_ex 0
				{tear "piece_large_steel" bone "turret" id "turret"
					{impulse dir 0.5 1}
					{if rand 0.2
						{add_view "smoke_dead_norm" "smoke" "basis"}
					else
						{add_view "smoke_black" "smoke" "basis"}
					}
					{view start "smoke"}
					{delay_effect 30 5 "pause"}
					{delay 0.1
						{volumes "gun" disable obstacle}
						{volumes "gun" disable visible}
					}
				}
			}
		}
	}
	{on "slice_load"
		{if name "turret"
			{with_effector
				{add_view "smoke_black" "smoke" "basis"}
			}
		}
	}

	{on "cut_parts"
		{if "turret_teared"
			{bone cut "turret"}
		else
			{call "tear_turret"}
		}
	}
}

{"armored_car"
	{on blast_hit
		{if min_energy 8
			{impulse up 2 0.5 dir 1 0.2}
		else min_energy 1
			{impulse up 0.4 0.2 dir 0.4 0.2}
		else min_energy 0.4
			{ani_play "hit"}
		}
	}
	{on "_explosion"
		{blastwave c4 3 r0 2.5 r1 10}
		{impulse up 0.7 0.3 dir 0.2 0.1}
	}
	(include "tank/tank_armoredcar.inc")
}

{"light tank"
	{on blast_hit
		{if min_energy 30
			{impulse up 3 0.1 dir 6 0.1}
		else min_energy 9
			{impulse up 0.5 0.2 dir 1 0.2}
		else min_energy 6
			{impulse up 0.4 0.1 dir 0.7 0.2}
		else min_energy 1
			{ani_play "hit"}
		}
	}
	{on "_explosion"
		{blastwave c4 5 r0 2.5 r1 10}
		{impulse up 0.5}
	}
	(include "tank/tank_light.inc")
}

{"medium tank"
	{inflammation_time 30}
	{on blast_hit
		{if min_energy 30
			{impulse up 2.5 0.1 dir 4 0.1}
		else min_energy 12
			{impulse up 0.7 0.2 dir 1.5 0.2}
		else min_energy 9
			{impulse up 0.3 0.2 dir 1 0.2}
		else min_energy 7
			{impulse up 0.3 0.1 dir 0.4 0.1}
		else min_energy 1
			;{ani_play "hit"}
		}
	}
	{on "_explosion"
		{blastwave c4 10 r0 2.5 r1 10}
		{impulse up 2 0.5 dir 0.4 0.2}
	}
	{on "check_water_level" overload
		{if water_level 1.6
			{able "sinking" 1}
		}
	}
	(include "tank/tank_medium.inc")
}

{"heavy tank"
	{inflammation_time 35}
	{on blast_hit
		{if min_energy 30
			{impulse up 1.5 0.1 dir 2.5 0.1}
		else min_energy 14
			{impulse up 0.25 0.1 dir 0.35 0.1}
		else min_energy 8
			{impulse up 0.2 0.1 dir 0.3 0.1}
		else min_energy 3
			;{ani_play "hit"}
		}
	}
	{on "_explosion"
		{blastwave c4 15 r0 2.5 r1 10}
		{impulse up 1 1 dir 0.2 0.2}
	}
	{on "check_water_level" overload
		{if water_level 1.8
			{able "sinking" 1}
		}
	}
	(include "tank/tank_heavy.inc")
}

{"double_coax"
	{on spawn
		{add_view "flash_gun_big_vehicle"			"flashbarrel00"	"shooter00"}
		{add_view "flash_gun_big_vehicle"			"flashbarrel01"	"shooter01"}
	}
	{on fire "mgun2" overload
		(define "fire_barrel"
			name "%0"
				{call "fire_barrel%0"}
				{view start "flashbarrel%0"}
		)

		{if		("fire_barrel" args 00)
		else	("fire_barrel" args 01)
		}
	}
}


(define "abrams_sound"
	{on "add_movement_sound" overload
		{link_sound "move"				"vehicle/engine/ve_tankjet_drive"}
		{link_sound "engine"			"vehicle/engine/ve_tankjet_idle"}
		{link_sound "engine_end"		"vehicle/engine/ve_tankjet_shutdown"}
		{link_sound "exhaust"			"vehicle/engine/ve_tankjet_start"}
		{link_sound "rotate_turret"		"vehicle/turret/ve_small_accelerate"}
	}
)
{"m1a2_abrams tank"
	("abrams_sound")
	{on "commander_hatch_open" overload
		{ani_play "open2" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open2" -1.0 resume}
	}
}
{"m1a2_abrams_tusk tank"
	("abrams_sound")
	{on "commander_hatch_open" overload
		{ani_play "open2" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open2" -1.0 resume}
	}
}
{"m1a1m tank"
	("abrams_sound")
}
{"leopard_2a4 tank"
	("abrams_sound")
	{on "commander_hatch_open" overload
		{ani_play "open3" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open3" -1.0 resume}
	}
}
{"leopard_2a5 tank"
	("abrams_sound")
	{on "commander_hatch_open" overload
		{ani_play "open3" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open3" -1.0 resume}
	}
}
{"leopard_2a7 tank"
	("abrams_sound")
	{on "commander_hatch_open" overload
		{ani_play "open3" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open3" -1.0 resume}
	}
}
{"pzh2000 tank"
	("abrams_sound")
}
{"m109_paladin tank"
	("abrams_sound")
}


(define "bradley_sound"
	{on "add_movement_sound" overload
		{link_sound "move"				"vehicle/engine/ve_tankdiesel1_drive"}
		{link_sound "engine"			"vehicle/engine/ve_tankdiesel2_accelerate"}
		{link_sound "engine_end"		"vehicle/engine/ve_large_shutdown"}
		{link_sound "exhaust"			"vehicle/engine/ve_tankjet_start"}
		{link_sound "rotate_turret"		"vehicle/turret/ve_small_accelerate"}
	}
)
{"m2_bradley tank"
	("bradley_sound")
}
{"acv-15_aapc tank"
	("bradley_sound")
	{on "gunner2_hatch_open"
		{ani_play "open" +1.0 resume}
	}
	{on "gunner2_hatch_close"
		{ani_play "open" -1.0 resume}
	}
	("burn_by_engine" args 0.3)
}
{"acv-15_ifv tank"
	("bradley_sound")
}
{"acv-15_tow tank"
	("bradley_sound")
}
{"wiesel_tow tank"
	("bradley_sound")
	{on "commander_hatch_open" overload
		{ani_play "open3" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open3" -1.0 resume}
	}
}


(define "stryker_sound"
	{on "add_movement_sound" overload
		{link_sound "move"				"vehicle/engine/ve_large_drive_wheel"}
		{link_sound "engine"			"vehicle/engine/ve_large_accelerate"}
		{link_sound "engine_end"		"vehicle/engine/ve_large_shutdown"}
		{link_sound "exhaust"			"vehicle/engine/ve_large_start"}
		{link_sound "rotate_turret"		"vehicle/turret/ve_small_accelerate"}
	}
)
{"stryker_m2hb armored_car"
	("stryker_sound")
}
{"stryker_m1128 armored_car"
	("stryker_sound")
}
{"stryker_mk19 armored_car"
	("stryker_sound")
}
{"lav25a2 armored_car"
	("stryker_sound")
	{on "commander_hatch_open" overload
		{ani_play "open2" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open2" -1.0 resume}
	}
}
{"gtk_boxer_gmw armored_car"
	("stryker_sound")
}
{"gtk_boxer_m2hb armored_car"
	("stryker_sound")
}


(define "t-80_sound"
	{on "add_movement_sound" overload
		{link_sound "move"				"vehicle/engine/ve_tankdiesel1_drive"}
		{link_sound "engine"			"vehicle/engine/ve_tankdiesel1_accelerate"}
		{link_sound "engine_end"		"vehicle/engine/ve_tankdiesel2_shutdown"}
		{link_sound "exhaust"			"vehicle/engine/ve_tankdiesel1_start"}
		{link_sound "rotate_turret"		"vehicle/turret/ve_small_accelerate"}
	}
)
{"t-80bv tank"
	("t-80_sound")
}
{"t-80u tank"
	("t-80_sound")
}
{"t-62 tank"
	("t-80_sound")
	{on "commander_hatch_open" overload
		{ani_play "open2" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open2" -1.0 resume}
	}
}
{"t-80bv_uaf tank"
	("t-80_sound")
}
{"m60a3_uaf tank"
	("t-80_sound")
}
{"btrt tank"
	("t-80_sound")
}
{"t-72b1 tank"
	("t-80_sound")
}
{"t-80bv_reb tank"
	("t-80_sound")
}
{"t-80u_reb tank"
	("t-80_sound")
}
{"t-72b3 tank"
	("t-80_sound")
	{on "commander_hatch_open" overload
		{ani_play "open2" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open2" -1.0 resume}
	}
}
{"t-72bm tank"
	("t-80_sound")
}
{"t-80um tank"
	("t-80_sound")
}
{"t-90m tank"
	("t-80_sound")
}
{"2s3_akatsia tank"
	("t-80_sound")
	{on "commander_hatch_open" overload
		{ani_play "open2" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open2" -1.0 resume}
	}
}
{"2s3_akatsia_grm tank"
	("t-80_sound")
		{on "commander_hatch_open" overload
		{ani_play "open2" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open2" -1.0 resume}
	}
}
{"2s3_akatsia_uaf tank"
	("t-80_sound")
		{on "commander_hatch_open" overload
		{ani_play "open2" +1.0 resume}
	}
	{on "commander_hatch_close" overload
		{ani_play "open2" -1.0 resume}
	}
}
{"2s19_msta tank"
	("t-80_sound")
}


(define "bmp_sound"
	{on "add_movement_sound" overload
		{link_sound "move"				"vehicle/engine/ve_tankdiesel2_drive"}
		{link_sound "engine"			"vehicle/engine/ve_tankdiesel2_accelerate"}
		{link_sound "engine_end"		"vehicle/engine/ve_tankdiesel2_shutdown"}
		{link_sound "exhaust"			"vehicle/engine/ve_tankdiesel2_start"}
		{link_sound "rotate_turret"		"vehicle/turret/ve_small_accelerate"}
	}
)
{"bmp2 tank"
	("bmp_sound")
}
{"bmp3 tank"
	("bmp_sound")
}
{"bmp2_uaf tank"
	("bmp_sound")
}
{"bmp3_uaf tank"
	("bmp_sound")
}
{"bmp1 tank"
	("bmp_sound")
}
{"bmp2m tank"
	("bmp_sound")
}
{"marder tank"
	("bmp_sound")
}
{"spz_puma tank"
	("bmp_sound")
}


(define "btr_sound"
	{on "add_movement_sound" overload
		{link_sound "move"				"vehicle/engine/ve_large_drive_wheel"}
		{link_sound "engine"			"vehicle/engine/ve_tankdiesel1_accelerate"}
		{link_sound "engine_end"		"vehicle/engine/ve_large_shutdown"}
		{link_sound "exhaust"			"vehicle/engine/ve_large_start"}
		{link_sound "rotate_turret"		"vehicle/turret/ve_small_accelerate"}
	}
)
{"btr-80 armored_car"
	("btr_sound")
}
{"btr-82a armored_car"
	("btr_sound")
}
{"btr-80_reb armored_car"
	("btr_sound")
}
{"btr-82a_reb armored_car"
	("btr_sound")
}
{"btr-82a_rus armored_car"
	("btr_sound")
}
{"btr-90 armored_car"
	("btr_sound")
}
{"brdm armored_car"
	("btr_sound")
}
{"brdm_konkurs armored_car"
	("btr_sound")
}